본문으로 건너뛰기
HTTP API레버리지 및 마진

마진 모드 설정

요청 만들기

값을 바꾸면 명령이 함께 바뀝니다. 토큰은 여기에 입력하지 않습니다. 명령은 SPECTRE_LOCAL_API_TOKEN 환경 변수에서 토큰을 읽습니다. 자신의 터미널에서 실행하세요.

명령
curl -X POST 'http://127.0.0.1:48180/v1/account/margin-mode' \
  -H "Authorization: Bearer $SPECTRE_LOCAL_API_TOKEN" \
  -H 'Content-Type: application/json' \
  -d '{
  "connection_id": 12,
  "instrument": "binance:futures:BTCUSDT",
  "margin_mode": "isolated"
}'
POST
/account/margin-mode

포지션이 열려 있는 동안에는 거래소가 변경을 거부합니다. accepted 응답에는 이것이 나타나지 않습니다.

인증

bearerToken trading:write
header인증Bearer <token>

Local API 토큰입니다: spt_와 16진수 문자 64개. Settings App → 일반 → Local API에서 복사합니다. Authorization 헤더로만 받습니다. 작업에 나열된 이름은 그 작업에 필요한 권한입니다. 터미널의 토큰에는 모든 권한이 있습니다.

권한: trading:write

요청 본문

application/json
  1. body
connection_id*integer
형식int64
instrument*string

종목 주소, exchange:market:symbol.

margin_mode*MarginMode
값 범위"cross""isolated"

응답 본문

터미널이 명령을 접수했습니다. key는 null입니다.

application/json
  1. response

모든 거래, 트리거, 레버리지 명령의 응답입니다.

accepted*boolean

거래소가 아니라 터미널이 접수했습니다.

operation_id*string

터미널의 거래 작업 로그에 기록되는 작업의 id입니다. 넣은 주문의 키는 t-에 이 id를 붙인 것입니다.

key*|

넣은 주문의 키 t-… 또는 넣은 트리거의 키입니다: sl_…, tp_… 또는 stop_…. 취소, 수정, 레버리지의 경우 null입니다.

connection_id*integer
형식int64
instrument*string
요청 예제
curl -X POST 'http://127.0.0.1:48180/v1/account/margin-mode' \  -H "Authorization: Bearer $SPECTRE_LOCAL_API_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "connection_id": 12,  "instrument": "binance:futures:BTCUSDT",  "margin_mode": "isolated"}'
응답 예제
{  "accepted": true,  "operation_id": "173029440000000010",  "key": null,  "connection_id": 12,  "instrument": "binance:futures:BTCUSDT"}